## wm2 3

=== Makefile ===

# if you want pixmaps you'll need Xpm, so add -lXpm to the next line
LIBS	=  -L/usr/X11/lib -lXext -lX11 -lXmu -lm

CC	= gcc
CCC	= gcc
CFLAGS	= -O2
OBJECTS	= Border.o Buttons.o Client.o Events.o Main.o Manager.o Rotated.o listimpl.o

.c.o:
	$(CC) -c $(CFLAGS) $<

.C.o:
	$(CCC) -c $(CFLAGS) $<

wm2:	$(OBJECTS)
	mv -f wm2 wm2.old >& /dev/null || true
	$(CCC) -o wm2 $(OBJECTS) $(LIBS)

depend:
	makedepend -- $(CFLAGS) -- *.C

clean:
	rm -f *.o core

distclean: clean
	rm -f wm2 wm2.old *~

## wm2 4+svn20090216

=== Makefile ===

LIBS	= -L/usr/X11R6/lib -lXext -lX11 -lXt -lXmu -lSM -lICE -lm
INCS	= -I/usr/X11R6/include

CC	= gcc
CCC	= g++
CFLAGS	= -O2 -Wall $(INCS)
OBJECTS	= Border.o Buttons.o Client.o Events.o Main.o Manager.o Rotated.o

.c.o:
	$(CC) -c $(CFLAGS) $<

.C.o:
	$(CCC) -c $(CFLAGS) $<

wm2:	$(OBJECTS)
	$(CCC) -o wm2 $(OBJECTS) $(LIBS)

depend:
	makedepend -- $(CFLAGS) -- *.C

clean:
	rm -f *.o core

distclean: clean
	rm -f wm2 wm2.old *~

=== debian/changelog ===
wm2 (4+svn20090216-4) unstable; urgency=medium

  * modernize debian packaging
  - use dpkg includes, set hardening=+all
  - debhelper compatibility level up to 12
  - remove outdated Vcs headers

 -- Bernhard R. Link <brlink@debian.org>  Sun, 27 Jan 2019 20:08:55 +0100

wm2 (4+svn20090216-3) unstable; urgency=medium

  * modernize debian packaging
  - support dpkg-buildflags
  - debhelper compatibility level up to 8
  - bump Standards-Version to 3.9.4
  - update Vcs headers

 -- Bernhard R. Link <brlink@debian.org>  Sun, 01 Dec 2013 18:46:26 +0100

wm2 (4+svn20090216-2) unstable; urgency=low

  * switch to "3.0 (quilt)" format
  * bump Standards-Version to 3.8.3
  * fix debian/watch
  * add Vcs- headers

 -- Bernhard R. Link <brlink@debian.org>  Sun, 03 Jan 2010 17:17:48 +0100

wm2 (4+svn20090216-1) unstable; urgency=low

  * upgrade to Debian policy 3.8.0
  * build-depend on x11proto-core-dev instead of x-dev (Closes: 515493)
  * new .orig.tar.gz tarball extracted from upstream's SVN.
  * move most functional modifications to debian/rules

 -- Bernhard R. Link <brlink@debian.org>  Mon, 16 Feb 2009 14:03:54 +0100

wm2 (4-10) unstable; urgency=low

  * modernize debian/rules (build-arch, dh_install,
    don't ignore make clean errors)
  * drop pre-sarge compatibility build-dependencies
  * dump standards version to 3.7.2 (no changes needed)
  * update to new menu layout
  * add homepage field to debian/control

 -- Bernhard R. Link <brlink@debian.org>  Tue, 04 Dec 2007 14:01:19 +0100

wm2 (4-9) unstable; urgency=low

  * repack using debhelper compat level 4
    (to get rid of lintian warning against level 1)
  * rebuild will fix place menu files are placed

 -- Bernhard R. Link <brlink@debian.org>  Thu,  1 Dec 2005 22:17:50 +0100

wm2 (4-8) unstable; urgency=low

  * Adopted build-depends to xlib split
  * switch from dh_installmanpages to dh_installman
  * updated to new standards version: no changes needed

 -- Bernhard R. Link <brlink@debian.org>  Fri, 10 Dec 2004 22:17:13 +0100

wm2 (4-7) unstable; urgency=low

  * Now with the correct new Maintainer-field.
  * Exiting wm2 no longer hangs till next event.
  * added recommends to x-terminal-emulator.
  * removed unused code generating warnings on ia64 and alpha.

 -- Bernhard R. Link <brlink@debian.org>  Sun,  1 Jun 2003 14:28:58 +0200

wm2 (4-6) unstable; urgency=low

  * adopting wm2 (closes: #194038)
  * Moved binary and manpage out of /usr/X11R6

  * acknowledge NMU 4-4.1 (closes: #53358, #53694, #35666 and #36022)
  * acknowledge NMU 4-4.2 (was there no patch in bts or was it closed?)
  * acknowledge NMU 4-5.1 (closes: #105074)
  * some cosmetic changes to the code to get rid of compiler warnings.
  * removed the unused listmacro.h from the source
  * removed call to this crappy dh_installwm...

 -- Bernhard R. Link <brlink@debian.org>  Fri, 30 May 2003 17:42:26 +0200

wm2 (4-5.1) unstable; urgency=low

  * NMU
  * Fix g++ 3.0 errors. Closes: #105074.
  * Missing Build-Depends: debhelper (and xlibs-dev, but that one gets guessed)

 -- LaMont Jones <lamont@debian.org>  Mon,  3 Dec 2001 20:15:16 -0700

wm2 (4-5) unstable; urgency=low

  * Removed the "debian menus" kludge. (closes: #64188 and #50958)
  * Back-ported resizing fix from wmx (closes: #69790)
  * Switched terminal starter to use x-terminal-emulator
  * Updated copyright and location files for new website. (closes: #71205)

 -- Ted Whalen <tew@debian.org>  Fri, 14 Jul 2000 23:44:03 -0500

wm2 (4-4.2) unstable; urgency=low

  * Non-maintainer upload for PowerPC.
  * Add -lXt to Makefile, so it compiles.

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  9 Jan 2000 06:12:15 -0600

wm2 (4-4.1) unstable; urgency=low

  * Non-maintainer upload because of release critical bugs.
  * Recompile for libstdc++ 2.10 (closes: #53358).
  * Changed #!/bin/sh to #!/bin/bash in system.wm2rc-menu because of bashism
    (closes: #35666).
  * Remove /etc/X11/wm2 on purge (closes: #36022).
  * Suggests: menu.
  * Provides: x-window-manager and added x-window-manager alternative
    (closes: #53694).
  * Standards-version: 3.0.1 (FHS).

 -- Ruud de Rooij <ruud@debian.org>  Fri,  7 Jan 2000 15:35:34 -0600

wm2 (4-4) unstable; urgency=low

  * add the #!/bin/sh to postrm -- fixes bug #34830

 -- Ted Whalen <tew@nwu.edu>  Sat, 20 Mar 1999 10:30:24 -0600

wm2 (4-3) unstable; urgency=low

  * updated debian/menu to new format (lintian complained)
  * changed debian/rules to use debhelper

 -- Ted Whalen <tew@debian.org>  Tue,  9 Mar 1999 21:26:52 -0600

wm2 (4-2) unstable frozen; urgency=low

  * recompiled to fix bugs #24513 and #29025.

 -- ted whalen <tew@debian.org>  Thu, 18 Feb 1999 11:04:19 -0600

wm2 (4-1) unstable; urgency=low

  * New maintainer
  * New upstream version

 -- ted whalen <tew@debian.org>  Sun,  7 Jun 1998 23:12:53 -0500

wm2 (3-3) unstable; urgency=low

  * Recompiled to fix dependencies (bug#12717)
  * Fixed Makefile to build with egcs g++
  * Updated to standards-version 2.4.0.0
  * Non-maintainer upload

 -- Hamish Moffatt <hamish@debian.org>  Fri,  1 May 1998 17:24:00 +1100

wm2 (3-2) unstable; urgency=low

  * Fixed Chris' name
  * Fixed quoting in /etc/menu-methods/wm2

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun,  3 Aug 1997 22:47:17 +0200

wm2 (3-1) unstable; urgency=low

  * Initial Release.
  * Created (copied) man pages.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 19 Jan 1997 20:47:27 +0100

=== debian/control ===
Source: wm2
Section: x11
Priority: optional
Maintainer: Bernhard R. Link <brlink@debian.org>
Build-Depends: x11proto-core-dev, libx11-dev, libxext-dev, debhelper (>= 12)
Standards-Version: 4.3.0
Homepage: http://www.all-day-breakfast.com/wm2/

Package: wm2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xterm | x-terminal-emulator
Provides: x-window-manager
Description: small, unconfigurable window manager
 wm2 is a window manager for X.  It provides an unusual style of window
 decoration and as little functionality as Chris Cannam feels comfortable
 with in a window manager.  wm2 is not configurable, except by editing
 the source and recompiling the code, and is really intended for people
 who don't particularly want their window manager to be too friendly.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

CXXFLAGS += -Wall
CPPFLAGS += "-DCONFIG_NEW_WINDOW_COMMAND=\"x-terminal-emulator\""
LDFLAGS += -Wl,-z,defs

build-arch: build-arch-stamp
build-indep:
build: build-arch-stamp

build-arch-stamp:
	dh_testdir
	# it's a C++ program, but it uses CFLAGS instead of CXXFLAGS
	$(MAKE) CFLAGS='$(CXXFLAGS)' LDFLAGS='$(LDFLAGS)' \
		LIBS="-lXext -lX11" INCS='$(CPPFLAGS)'
	touch build-arch-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp
	-rm -f Makefile.bak
	$(MAKE) distclean
	dh_clean

# Build architecture-independent files
binary-indep:
# We have nothing to do

# Build architecture-dependent files
binary-arch: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install
	dh_installchangelogs
	dh_installdocs
	dh_installmenu
	dh_installman debian/wm2.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=dversionmangle=s/\+svn\d+$// \
 http://www.all-day-breakfast.com/wm2/index.html wm2-(.*)\.tar\.gz
